<template>
  <div class="review">
    <div class="top">
      <div class="author" >{{ fullName }}</div>
      <div class="rating" >
        <StarRating :rating="review.rating" />
      </div>
    </div>
    <div class="text"> {{ review.text }} </div>
  </div>
</template>
<script>
import StarRating from './StarRating'

export default {
  name: 'Review',
  props: {
    review: {
      type: Object,
      default: () => {}
    }
  },
  components: {
    StarRating
  },
  computed: {
    fullName () {
      if (!this.review.user) return ''
      return `${this.review.user.firstName} ${this.review.user.lastName}`
    }
  }
}
</script>
<style lang="scss" scoped>
.review {
  width: 48%;
  min-height: 100px;
  padding: 20px;
  box-sizing: border-box;
  box-shadow: 0px 16px 24px rgba(0, 0, 0, 0.08);
  margin-bottom: 30px;
  border-radius: 10px;

  .top {
    display: flex;
    justify-content: space-between;
  }

  .author {
    color: #FF6392;
    text-align: start;
    margin-bottom: 10px;
  }

  .rating {
  }

  .text {
    text-align: start;
    max-width: 800px;
    width: 100%;
  }
  // border: 1px solid red;
}
</style>
